Subject: Re: [PATCH] config.c: avoid segfault with --fixed-value and valueless config

From: Junio C Hamano <[email-masked]>
Date: Mon, 05 Aug 2024 08:45:32 -0700

Patrick Steinhardt <[email-masked]> writes:

> Edge cases like this really make me wonder what the benefit of implicit
> bools is in our config files.
>
> So... why do we have them in the first place? Is there even a single
> good reason?

There isn't any good reason to introduce such a syntax if we were
desigining the configuration file format from scratch.  It was added
because originally Linus thought it was a cute syntax, and these
days a lot lot more importantly, it is kept working because you will
break a lot of existing configuration files that were hand tweaked
if you remove the support suddenly.